<!-- Filter-Form -->
<section id="filter_form2">
    <div class="container">
        <div class="main_bg white-text">
            <h2 class="title"><?= $titulo ?> <?= !empty($subtitulo) ? '(' . $subtitulo . ')' : '' ?></h2>


            <div class="row">
                <form name="formulario_busca" id="form_busca" action="<?= alt_get_url_estoque() ?>"
                      method="get">
                    <?php if ($sn_mostrar_textual): ?>

                        <div class="form-group col-md-12 col-sm-12 col-xs-12">
                            <input type="text" class="form-control" name="veiculo" ng-model="objForm.veiculo"
                                   placeholder="Pesquisar ..."
                                   my-enter="filtrarVeiculosHome()"/>
                        </div>


                    <?php endif; ?>
                    <?php if ($sn_filial): ?>
                        <div class="form-group col-md-3 col-sm-6">
                            <div class="select">

                                <select class="form-control" name="filiais" id="form_filial">
                                    <option value="">Filial</option>
                                    <?php foreach ($arrFiliais as $name => $filial): ?>
                                        <option value="<?= $name ?>">
                                            <?= $filial ?>
                                        </option>
                                    <?php endforeach; ?>

                                </select>
                            </div>
                        </div>
                    <?php endif; ?>


                    <?php if ($sn_tipo): ?>
                        <div class="form-group col-md-3 col-sm-6">
                            <div class="select">
                                <select class="form-control" name="tipo" id="form_carroceria">
                                    <option value="">Tipo de veículo</option>
                                    <?php foreach ($arrTipos as $tipo): ?>
                                        <option value="<?= $tipo['slug']; ?>"><?= $tipo['name']; ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </div>
                        </div>
                    <?php endif; ?>

                    <?php if ($sn_carroceria): ?>
                        <div class="form-group col-md-3 col-sm-6 black_input">
                            <div class="select">
                                <select class="form-control" name="carroceria" id="form_carroceria">
                                    <option value="">Tipo de Carroceria</option>
                                    <?php foreach ($arrCarroceria as $carroceria): ?>
                                        <option value="<?= $carroceria['slug']; ?>"><?= $carroceria['name']; ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </div>
                        </div>
                    <?php endif; ?>

                    <div class="form-group col-md-3 col-sm-6">
                        <div class="select">
                            <select class="form-control" name="marca" id="form_marca">
                                <option value="">Marca</option>
                                <?php foreach ($arrMarcas as $marca): ?>
                                    <option value="<?= $marca['slug']; ?>"><?= $marca['name']; ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                    </div>


                    <div class="form-group col-md-3 col-sm-6">
                        <div class="select">
                            <select class="form-control" name="modelo" id="form_modelo">
                                <option value="">Modelo</option>
                                <?php foreach ($arrModelos as $modelo): ?>
                                    <option value="<?= $modelo['slug']; ?>"><?= $modelo['name']; ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-3 col-sm-6">
                        <div class="select">
                            <select class="form-control" name="ano" id="form_ano">
                                <option value="">Ano</option>
                                <?php foreach ($arrAnoModelo as $ano): ?>
                                    <option value="<?= $ano ?>">
                                        <?= $ano ?>
                                    </option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                    </div>

                    <?php if ($sn_cambio): ?>

                        <div class="form-group col-md-3 col-sm-6">
                            <div class="select">
                                <select class="form-control" name="cambio" id="form_ano">
                                    <option value="">Câmbio</option>
                                    <?php foreach ($arrCambios as $cambio): ?>
                                        <option value="<?= $cambio ?>">
                                            <?= $cambio ?>
                                        </option>
                                    <?php endforeach; ?>
                                </select>
                            </div>
                        </div>
                    <?php endif; ?>

                    <?php if (!$sn_cambio): ?>
                        <div class="form-group col-md-3 col-sm-6">
                            <button type="submit" class="btn btn-block">
                                <i class="fa fa-search" aria-hidden="true"></i>
                                Buscar
                            </button>
                        </div>
                    <?php endif; ?>


                    <div class="form-group col-md-9 col-sm-6">
                        <label class="form-label">Preço ($)</label>

                        <input id="preco_lista" id="preco" type="text" class="span2" value=""
                               data-slider-min="<?= $arrPrecos['minimo']; ?>"
                               data-slider-max="<?= $arrPrecos['maximo']; ?>"
                               data-slider-step="10"
                               data-aria-label="Seleção de preco"
                               data-slider-value="[<?= $field_min_price; ?>,<?= $field_max_price; ?>]"/>

                        <div>
                            <div class="pull-left" id="label_min_price_form">
                                R$ <?= number_format($field_min_price, '0', ',', '.'); ?></div>
                            <div class="pull-right" id="label_max_price_form">
                                R$ <?= number_format($field_max_price, '0', ',', '.'); ?></div>
                        </div>
                        <input type="hidden" name="min_price" value="<?= $field_min_price ?>" id="form_min_price"/>
                        <input type="hidden" name="max_price" value="<?= $field_max_price ?>" id="form_max_price"/>
                    </div>

                    <?php if ($sn_cambio): ?>
                    <div class="form-group col-md-3 col-sm-6">
                        <button type="submit" class="btn btn-block">
                            <i class="fa fa-search" aria-hidden="true"></i>
                            Buscar
                        </button>
                    </div>
                    <?php endif;?>
                </form>
            </div>
        </div>
    </div>
</section>
<!-- /Filter-Form -->
