<?php if (!empty(get_listar_carrocerias())): ?>

    <!--Brands-->
    <section class="about-us-section section-padding" class="">
        <div class="container">

            <div class="section-header text-center">

                <h2><?= $titulo ?></h2>
                <p>
                    <?= $subtitulo ?>
                </p>

            </div>

            <div class="row">

                <?php foreach (get_listar_carrocerias() as $carroceria): ?>

                    <div class="col-md-2 col-xs-12 text-center center">
                        <a class="carroceria-block__link"
                           href="<?= alt_get_url_estoque() ?>?carroceria=<?php echo $carroceria['slug'] ?>"

                        >

                            <?php
                            $img = $carroceria['imagem'];
                            if (empty($img)) {
                                echo "<img src='https://via.placeholder.com/120x70?text={$carroceria['nome']}' class='text-center img-responsive' style='margin: auto;'/>";

                            } else {
                                echo "<img src='{$img}' class='img-responsive'  style='margin: auto;'/>";
                            }
                            ?>


                        </a>

                        <span style="font-weight: 600;"><?php echo $carroceria['nome']; ?></span>
                    </div>
                <?php endforeach; ?>


            </div>
        </div>

    </section>
    <!-- /Brands-->

<?php endif; ?>
