<div class="sidebar_widget filtro_vertical">
    <div class="widget_heading">
        <h5>
            <i class="fa fa-filter" aria-hidden="true"></i> <?= $titulo ?>
        </h5>
        <p class="subtitle"><?= $subtitulo ?></p>
    </div>
    <div class="sidebar_filter">
        <form name="formulario_busca" id="form_busca" action="<?= alt_get_url_estoque() ?>" method="get">


            <?php if ($sn_mostrar_textual) : ?>

            <div class="form-group">
                <input type="text" class="form-control" name="veiculo" value="<?= $string ?>"
                    placeholder="Pesquisar ..." my-enter="filtrarVeiculosHome()" />
            </div>


            <?php endif; ?>

            <?php if ($sn_tipo) : ?>
            <div class="form-group select">
                <div class="select">
                    <select class="form-control" name="tipo" id="form_carroceria">
                        <option value="">Tipo de veículo</option>
                        <?php foreach ($arrTipos as $tipo) : ?>
                        <option value="<?= $tipo['slug']; ?>" <?= ($field_tipo == $tipo['slug']) ? 'selected' : '' ?>>
                            <?= $tipo['name']; ?>
                        </option>
                        <?php endforeach; ?>
                    </select>
                </div>
            </div>
            <?php endif; ?>
            <div class="form-group select">
                <select class="form-control" name="marca" id="form_marca">
                    <option value="">Marca</option>
                    <?php foreach ($arrMarcas as $marca) : ?>
                    <option value="<?= $marca['slug']; ?>" <?= ($field_marca == $marca['slug']) ? 'selected' : '' ?>>
                        <?= $marca['name']; ?>
                    </option>
                    <?php endforeach; ?>
                </select>
            </div>
            <div class="form-group select">
                <select class="form-control" name="modelo" id="form_modelo">
                    <option value="">Modelo</option>
                    <?php foreach ($arrModelos as $modelo) : ?>
                    <option value="<?= $modelo['slug']; ?>" <?= ($field_modelo == $modelo['slug']) ? 'selected' : '' ?>>
                        <?= $modelo['name']; ?>
                    </option>
                    <?php endforeach; ?>
                </select>
            </div>
            <div class="form-group select">
                <select class="form-control" name="ano" id="form_ano">
                    <option value="">Ano</option>
                    <?php foreach ($arrAnoModelo as $ano) : ?>
                    <option value="<?= $ano ?>" <?= ($field_ano == $ano) ? 'selected' : '' ?>>
                        <?= $ano ?>
                    </option>
                    <?php endforeach; ?>
                </select>
            </div>


            <?php if ($sn_cambio) : ?>
            <div class="form-group select">

                <select class="form-control" name="cambio" id="form_cambio">
                    <option value="">Câmbio</option>
                    <?php foreach ($arrCambios as $name => $cambio) : ?>
                    <option value="<?= $name ?>" <?= ($field_filial == $name) ? 'selected' : '' ?>>
                        <?= $cambio ?>
                    </option>
                    <?php endforeach; ?>

                </select>

            </div>
            <?php endif; ?>

            <div class="form-group preco_form">
                <label class="form-label">Preço ($)</label>

                <input id="preco_lista" id="preco" type="text" class="span2" value=""
                    data-slider-min="<?= $arrPrecos['minimo']; ?>" data-slider-max="<?= $arrPrecos['maximo']; ?>"
                    data-slider-step="10" data-slider-value="[<?= $field_min_price; ?>,<?= $field_max_price; ?>]" />

                <div>
                    <div class="pull-left" id="label_min_price_form">
                        R$ <?= number_format($field_min_price, '0', ',', '.'); ?></div>
                    <div class="pull-right" id="label_max_price_form">
                        R$ <?= number_format($field_max_price, '0', ',', '.'); ?></div>
                </div>
                <input type="hidden" name="min_price" value="<?= $field_min_price ?>" id="form_min_price" />
                <input type="hidden" name="max_price" value="<?= $field_max_price ?>" id="form_max_price" />
            </div>


            <?php if ($sn_filial) : ?>

            <div class="form-group select">

                <select class="form-control" name="filiais" id="form_filial">
                    <option value="">Filial</option>
                    <?php foreach ($arrFiliais as $name => $filial) : ?>
                    <option value="<?= $name ?>" <?= ($field_filial == $name) ? 'selected' : '' ?>>
                        <?= $filial ?>
                    </option>
                    <?php endforeach; ?>

                </select>
            </div>

            <?php endif; ?>


            <?php if ($sn_carroceria) : ?>
            <div class="form-group select">

                <select class="form-control" name="carroceria" id="form_carroceria">
                    <option value="">Tipo de Carroceria</option>
                    <?php foreach ($arrCarroceria as $carroceria) : ?>
                    <option value="<?= $carroceria['slug']; ?>"
                        <?= ($field_carroceria == $carroceria['slug']) ? 'selected' : '' ?>>
                        <?= $carroceria['name']; ?>
                    </option>
                    <?php endforeach; ?>
                </select>

            </div>
            <?php endif; ?>


            <div class="form-group" style="margin-top: 50px;">
                <button type="submit" class="btn btn-block">
                    <i class="fa fa-search" aria-hidden="true"></i>
                    Buscar
                </button>

                <a href="<?= alt_get_url_estoque() ?>" class="btn btn-block">
                    <i class="fa fa-sync" aria-hidden="true"></i>
                    Limpar filtro
                </a>
            </div>
        </form>
    </div>
</div>