<?php

class alt_midias_sociais extends WP_Widget
{

    function __construct()
    {
        parent::__construct(

        // Base ID of your widget
            'alt_midias_sociais',

            // Widget name will appear in UI
            'Altimus - Mídias sociais',

            // Widget description
            array(
                'description' => __('Exibir mídias sociais', 'Filiais'),
            )
        );


    }

    public function widget($args, $instance)
    {
        $title = apply_filters('widget_title', $instance['title']);

        ?>

        <?php if(mostrar_icones_sociais_header()):?>

        <div class="links_midias_sociais social-follow pull-right" style="padding-top: 15px;">
            <?=$title?>
            <ul class="social-links list-inline">
                <?php if (!empty(get_social_links('facebook'))): ?>
                    <li>
                        <a target="_blank" href="<?= get_social_links('facebook') ?>">
                            <i class="fab fa-facebook-square"></i></i>
                        </a>
                    </li>
                <?php endif; ?>

                <?php if (!empty(get_social_links('twitter'))): ?>
                    <li>
                        <a target="_blank" href="<?= get_social_links('twitter') ?>">
                            <i class="fab fa-twitter-square"></i>
                        </a>
                    </li>
                <?php endif; ?>

                <?php if (!empty(get_social_links('linkedin'))): ?>
                    <li>
                        <a target="_blank" href="<?= get_social_links('linkedin') ?>">
                            <i class="fab fa-linkedin"></i>
                        </a>
                    </li>
                <?php endif; ?>


                <?php if (!empty(get_social_links('google'))): ?>
                    <li>
                        <a target="_blank" href="<?= get_social_links('google') ?>">
                            <i class="fab fa-google-plus-square"></i>
                        </a>
                    </li>
                <?php endif; ?>

                <?php if (!empty(get_social_links('instagram'))): ?>
                    <li>
                        <a target="_blank" href="<?= get_social_links('instagram') ?>">
                            <i class="fab fa-instagram"></i>
                        </a>
                    </li>
                <?php endif; ?>


                <?php if (!empty(get_social_links('youtube'))): ?>
                    <li>
                        <a target="_blank" href="<?= get_social_links('youtube') ?>">
                            <i class="fab fa-youtube-square"></i></i>
                        </a>
                    </li>
                <?php endif; ?>
            </ul>
        </div>
        <?php endif; ?>






    <?php
    }

    public function form($instance)
    {
        $title = isset($instance['title']) ? esc_attr($instance['title']) : '';
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>">
                <?php _e('Title:'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>"
                   name="<?php echo $this->get_field_name('title'); ?>"
                   value="<?php echo esc_attr($title); ?>"
                   type="text"
            />
        </p>

        <?php
    }


    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        return $instance;

    }


}
