<?php

$prev_text = sprintf(
    '%s <span class="nav-prev-text">%s</span>',
    '<span aria-hidden="true">&larr;</span>',
    __('Newer <span class="nav-short">Posts</span>', 'twentytwenty')
);
$next_text = sprintf(
    '<span class="nav-next-text">%s</span> %s',
    __('Older <span class="nav-short">Posts</span>', 'twentytwenty'),
    '<span aria-hidden="true">&rarr;</span>'
);

$posts_pagination = get_the_posts_pagination(
    array(
        'mid_size' => 1,
        'prev_text' => $prev_text,
        'next_text' => $next_text,
    )
);


if ($posts_pagination) { ?>

    <div id="paginacao_padrao mb-5">
        <div class="pagination-wrapper section-inner">

            <hr class="styled-separator pagination-separator is-style-wide" aria-hidden="true"/>

            <?php echo $posts_pagination; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- already escaped during generation. ?>

        </div><!-- .pagination-wrapper -->
    </div>
    <?php
}
