<div class="row">
    <div class="col-lg-9 col-md-8">
        <!--article-1-->
        <article class="article_wrap article_full_info">
            <div class="articale_header">
                <h2>
                    <?= the_title() ?>
                </h2>
                <div class="article_meta">
                    <ul>

                        <li>
                            <i class="far fa-calendar-alt" aria-hidden="true"></i>
                            <?= the_date()?>
                        </li>
                        <li>
                            <i class="fa fa-tags" aria-hidden="true"></i>
                            <?php
                            $categories = get_the_category();

                            if ( ! empty( $categories )) {
                                echo esc_html( $categories[0]->name );
                            }
                            ?>
                        </li>


                    </ul>
                </div>
            </div>
            <div class="article_img text-center">
                <?php the_post_thumbnail('full',['class'=>'img-responsive']);?>
            </div>
            <div class="article_info">
                <?= the_content()?>
            </div>
            <div class="article_tag gray-bg">
                <div class="row">
                    <div class="col-md-6 col-sm-6">
                        <h6>Tags:</h6>
                        <div class="tag_list">

                            <ul>
                                <?php
                                $post_tags = get_the_tags();
                                if ( $post_tags ):
                                    foreach( $post_tags as $tag ) : ?>

                                        <li>
                                            <a href="<?= get_tag_link($tag->term_id);?>">

                                                <?= $tag->name;?>
                                            </a>
                                        </li>


                                    <?php
                                    endforeach;
                                endif;

                                ?>


                            </ul>
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-6">
                        <!--<div class="share_article ">
                            <h6>Share:</h6>
                            <ul>
                                <li><a href="#"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>
                                <li><a href="#"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>
                                <li><a href="#"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
                                <li><a href="#"><i class="fa fa-google-plus" aria-hidden="true"></i></a></li>
                            </ul>
                        </div>-->
                    </div>
                </div>
            </div>
        </article>

        <?php
        if(comments_open()||get_comments_number()):
            comments_template();
        endif;

        ?>



    </div>

    <div class="col-lg-3 col-md-4">

        <?php
        if (is_active_sidebar('blogleft')) {
            dynamic_sidebar('blogleft');
        }
        ?>
    </div>

</div>
