<?php if (get_mostrar_carroceria() && !empty(get_listar_carrocerias())): ?>

    <?php
    $arrCarroceria = get_listar_carrocerias();

    if (!empty($arrCarroceria)):

        ?>

        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Swiper/5.4.5/css/swiper.min.css">

        <style>

            .tipos-container {
                margin-left: auto;
                margin-right: auto;
                position: relative;
                overflow: hidden;
                list-style: none;
                padding: 0px 10px;
                z-index: 1;
            }


            .carroceria-block {
                display: inline-block;
                margin: 0 8px 48px;
                padding-left: 23px;
                border-right: 1px solid #333;
                overflow: hidden;

                width: 250px;
                height: 210px;
                font-family: Raleway;
                color: #fff;
                border-top: 1px solid #333;
                border-bottom: 1px solid #333;
                background-color: rgba(0, 0, 0, 0.4);
                transition: all 0.3s;
                transform: skewX(6deg);
                box-shadow: -4px 0 0 0 #dc2d13;
            }


            .carroceria-block {
                margin-top: 50px;
                margin-bottom: 100px;
                padding-left: 0;
                list-style-type: none;
                text-align: center;
            }

            .carroceria-block__item {
                display: inline-block;
                width: 250px;
                border-right: 1px solid #333;
                overflow: hidden;
            }

            .carroceria-block__link {
                display: block;
                width: 250px;
                height: 210px;
                font-family: Raleway;
                color: #fff;
                border-top: 1px solid #333;
                border-bottom: 1px solid #333;
                background-color: rgba(0, 0, 0, 0.4);
                transition: all 0.3s;

            }

            .carroceria-block__link:hover {
                color: #fff;
                text-decoration: none;
            }

            .carroceria-block__item .icon {
                display: block;
                margin-bottom: 0;
                font-size: 131px;
                line-height: 1;
            }

            .carroceria-block__name {
                padding-top: 5px;
                font-size: 16px;
                font-weight: 600;
                text-transform: uppercase;
            }

            .carroceria-block__link:hover .carroceria-block__name {
                display: block;
            }

            .carroceria-block__info {
                display: none;
                padding-top: 5px;
                font-size: 22px;
                font-weight: 600;
            }

            .carroceria-block__link:hover .carroceria-block__info {
                display: block;
            }

            .carroceria-block__inner {
                transform: skewX(-6deg);
            }


            .carroceria-block:hover {
                border-color: #dc2d13;
                background-color: #dc2d13;
            }

            .carroceria-block__link:hover {
                border-color: #dc2d13;
                background-color: #dc2d13;
                color: #fff;
                text-decoration: none;
            }

            .swiper-pagination-bullet {
                background: #fffff8 !important;
            }

            .swiper-button-next-tipo, .swiper-button-prev-tipo {
                color: red;
            }

            .swiper-button-next-tipo, .swiper-button-prev-tipo {
                position: absolute;
                top: 50%;
                width: calc(var(--swiper-navigation-size) / 44 * 27);
                height: var(--swiper-navigation-size);
                margin-top: calc(-1 * var(--swiper-navigation-size) / 2);
                z-index: 10;
                cursor: pointer;
                display: flex;
                align-items: center;
                justify-content: center;
            }

            .swiper-button-prev.tipo, .swiper-button-next.tipo {
                color: #DC2D13;
            }

            .nav-imagem-veiculo {
                margin: auto;
                max-width: 120px;
                padding-top: 30px;
                min-height: 115px;
            }

            @media (max-width: 767px) {
                .carroceria-block, .carroceria-block__item, .carroceria-block__link {
                    width: 200px;
                    transform: skewX(0deg);
                }

                .swiper-button-prev.tipo, .swiper-button-next.tipo {
                    top: 90%;
                    display: none;
                }

            }


        </style>


        <div class="wrap-section-border wow bounceInUp" data-wow-duration="2s">


            <section class="section_mod-c section-bg section-bg_second">
                <div class="bg-inner border-section-top border-section-top_mod-a">
                    <div class="container">


                        <div class="row">
                            <div class="col-xs-12">
                                <h2 class="ui-title-block ui-title-block_mod-a text-center">Qual tipo de veículo você
                                    procura?</h2>
                                <div class="ui-subtitle-block_mod-a">Temos uma oferta imperdivel te esperando</div>


                                <div class="tipos-container">
                                    <div class="swiper-wrapper">

                                        <?php foreach ($arrCarroceria as $carroceria): ?>
                                            <div class="swiper-slide-item">

                                                <div class="carroceria-block">

                                                    <div class="carroceria-block__item ">

                                                        <a class="carroceria-block__link"
                                                           href="<?= alt_get_url_estoque() ?>?carroceria=<?php echo $carroceria['slug'] ?>">


                                                            <div class="carroceria-block__inner">
                                                                <div class="nav-imagem-veiculo">
                                                                    <?php
                                                                    $img = $carroceria['imagem'];
                                                                    if (empty($img)) {
                                                                        echo "<img src='https://via.placeholder.com/120x70?text={$carroceria['nome']}' class='img-responsive'/>";

                                                                    } else {
                                                                        echo "<img src='{$img}' class='img-responsive'/>";
                                                                    }
                                                                    ?>
                                                                </div>
                                                                <div class="decor-1 center-block"></div>
                                                                <div class="carroceria-block__name"><?php echo $carroceria['nome'] ?></div>
                                                                <!--<div class="list-type__info">25 Ofertas</div>-->
                                                            </div>
                                                        </a>

                                                    </div>

                                                </div>

                                            </div>
                                        <?php endforeach; ?>


                                    </div>


                                </div>

                                <div class="swiper-button-next tipo"></div>
                                <div class="swiper-button-prev tipo"></div>


                            </div>
                            <!-- end col -->
                        </div>
                        <!-- end row -->
                        <div class="border-section-bottom"></div>
                    </div>
                    <!-- end container -->
                </div>
                <!-- end bg-inner -->
            </section>
            <!-- end section_mod-b -->
        </div>
        <!-- end wrap-section-border -->


        <script src="https://cdnjs.cloudflare.com/ajax/libs/Swiper/5.4.5/js/swiper.min.js"></script>

        <script>


            var total_apresentado = <?php echo (wp_is_mobile()) ? '1' : '4';?>;


            var swiper = new Swiper('.tipos-container', {
                slideClass: 'swiper-slide-item',
                slidesPerView: total_apresentado,
                freeMode: true,
                centerInsufficientSlides: true,
                spaceBetween: 1,
                navigation: {
                    nextEl: '.swiper-button-next',
                    prevEl: '.swiper-button-prev',
                },
                pagination: {
                    el: '.swiper-pagination',
                    clickable: true,
                },
            });
        </script>
    <?php endif; ?>
<?php endif; ?>
