<?php if (get_exibir_destaques_da_semana()): ?>

    <?php

    $condition = array(
        'relation' => 'OR',
        array(
            'key' => 'alt_destaque_semana',
            'compare' => '=',
            'value' => 'on',
        ),
        array(
            'key' => 'alt_destaque_semana',
            'compare' => '=',
            'value' => "1",
        )
    );

    $arr['post_status'] = 'publish';
    $arr['post_type'] = 'veiculos';
    $arr['orderby'] = 'rand';
    $arr['order'] = 'ASC';
    $arr['posts_per_page'] = 1;

    $arr['meta_query'] = array(
        $condition
    );


    $query = new WP_Query($arr);
    $arrVeiculos = $query->posts;
    $post = $arrVeiculos[0] ?? null;


    $foto_principal = get_the_post_thumbnail_url($post->ID, 'full');
    //$arrImagens = alt_get_caracteristicas($post->ID, 'alt_imagens');
    $arrImagens = [];


    if (!empty($post) && !empty($foto_principal)):
        ?>

    <style>
        .fact_m_new ul li i {
            font-size: 40px;
        }

        .list_destaque_item h2,.list_destaque_item i {
            font-size: 20px;
        }
    </style>

        <section id="fun-facts" class="dark-bg vc_row">
            <div class=" col-md-6 section-padding">

                <div class="row">
                    <div class="fact_m fact_m_new white-text">
                        <h2><?= get_titulo_produto($post->ID, true) ?></h2>
                        <p>
                            Oferta da semana.
                            <br/>
                            Imperdivel, fale agora mesmo com nosso representante.
                        </p>
                        <p style="font-size: 40px;font-weight: 800;">
                            <?= get_preco_veiculo($post->ID, true); ?>
                        </p>

                        <ul class="list_destaque_item">
                            <li>
                                <i class="fas fa-tachometer-alt" aria-hidden="true"></i>
                                <h2><?= alt_get_caracteristicas($post->ID, 'alt_kilometragem'); ?></h2>
                                <p>Quilometragem</p>
                            </li>

                            <li>
                                <i class="far fa-calendar-alt" aria-hidden="true"></i>
                                <h2><?= alt_get_caracteristicas($post->ID, 'alt_ano_mod'); ?></h2>
                                <p>Ano de fabricação</p>
                            </li>

                            <li>
                                <i class="fas fa-project-diagram" aria-hidden="true"></i>
                                <h2><?= alt_get_caracteristicas($post->ID, 'alt_cambio'); ?></h2>
                                <p>Cambio</p>
                            </li>

                            <li>
                                <i class="fas fa-gas-pump" aria-hidden="true"></i>
                                <h2><?= alt_get_caracteristicas($post->ID, 'alt_combustivel'); ?></h2>
                                <p>Combustível</p>
                            </li>
                        </ul>

                    </div>
                </div>

                <div class="row">
                    <div class="fact_m white-text">
                        <a target="_blank" class="btn btn-block" href="<?= get_permalink($post->ID) ?>">
                            Mais detalhes
                        </a>
                    </div>
                </div>


            </div>
            <div class=" col-md-6">
                <div id="listing_images_slider" class="listing_images_slider">
                    <?= get_alt_imagem_veiculo($post->ID, 'full', ['class' => 'img-responsive card-img-top']) ?>
                </div>
            </div>
        </section>


    <?php endif; ?>
<?php endif; ?>
