<?php if (get_mostrar_veiculos_destaque()): ?>


    <?php

    $total_de_veiculos_destaque = get_total_veiculos_destaque();
    $sn_exibir_repasses = get_exibir_repasse_destaques();
    $tipo_veiculos = get_tipo_veiculo_destaques();


    $somenteDestaques = array(
        'relation' => 'OR',
        array(
            'key' => 'alt_destaque',
            'compare' => '=',
            'value' => 'on',
        ),
        array(
            'key' => 'alt_destaque',
            'compare' => '=',
            'value' => "1",
        )
    );

    if ($sn_exibir_repasses == 'nao') {
        $semRepasse = array(
            'relation' => 'OR',
            array(
                'key' => 'alt_repasse',
                'compare' => '!=',
                'value' => '1'
            ),

        );
    } else {
        $semRepasse = [];
    }


    $arr['meta_query'] = array(
        'relation' => 'AND',
        $somenteDestaques,
        $semRepasse
    );

    if ($tipo_veiculos != 'todos') {
        $arr['tax_query'] = array(
            'relation' => 'OR',
            array(
                'taxonomy' => 'tipo',
                'terms' => $tipo_veiculos,
                'operator' => 'AND',
                'field' => 'slug',
            ),
        );
    }

    $arr['post_status'] = 'publish';
    $arr['post_type'] = 'veiculos';
    $arr['order']   = 'DESC';
    $arr['posts_per_page'] = $total_de_veiculos_destaque;


    $query = new WP_Query($arr);
    $arrVeiculos = $query->posts;


    // Se houver algum post
    if ($arrVeiculos): ?>


        <!-- Veículos em destaque -->
        <section class="section-padding gray-bg session_destaques">
            <div class="container">
                <div class="section-header text-center">

                    <?php $titulo = get_titulo_destaques(); ?>

                    <?php if (empty($titulo)): ?>
                        <h2>Veículos <span>em destaque</span></h2>
                        <p>Carros novos e usados, confira os veículos mais recentes cadastrados em nosso
                            <a href="<?= alt_get_url_estoque() ?>" style="font-weight: 800;">
                                estoque.
                            </a>
                        </p>
                    <?php else: ?>
                        <?= $titulo ?>
                    <?php endif; ?>

                </div>
                <section>
                    <div class="row">
                        <?php foreach ($arrVeiculos as $veiculo): ?>
                            <?php get_template_part('veiculos/archive', 'box-veiculo', array('data' => $veiculo)); ?>
                        <?php endforeach; ?>
                    </div>
                </section>


            </div>
        </section>


    <?php endif; ?>
    <!-- /Veiculos destaque-->
<?php endif ?>
