<?php if (get_mostrar_veiculos_mais_procurados()): ?>
    <?php $titulo = get_titulo_mais_procurados() ?>
    <!--Trending Car-->
    <section class="section-padding gray-bg session_mais_buscados">
        <div class="container">
            <div class="section-header text-center">

                <?php if ($titulo): ?>
                    <?= $titulo ?>
                <?php else: ?>
                    <h2>Veículos <span>mais buscados</span></h2>
                    <p>Conheça os carros mais procurados em nosso website. Pensando em <strong>comprar um carro
                            novo</strong> ou seminovo? <br/>Temos as melhores propostas esparando por você! confira
                        nosso <a href="<?= alt_get_url_estoque() ?>" style="font-weight: 800;">
                            estoque completo.</a></p>
                <?php endif; ?>


            </div>
            <section>
                <div class="row">
                    <div class="col-lg-12">
                        <div id="trending_slider">

                            <?php

                            $total = get_mostrar_total_veiculos_mais_procurados();
                            $arrVeiculos = get_alt_veiculos_mais_procurados($total);

                            ?>

                            <?php foreach ($arrVeiculos as $veiculo): ?>
                                <?php get_template_part('veiculos/archive', 'box-veiculo', array('data' => $veiculo, 'size' => 'col-md-12')); ?>
                            <?php endforeach; ?>


                        </div>


                    </div>
                </div>
            </section>
        </div>
    </section>
    <!-- /Trending Car-->
<?php endif; ?>
