<section>
    <div class="container">
        <div class="row">
            <div class="col-6 pr-0">
                <div class="form-group">
                    <select value="orderby" class="custom-select form-control" id="input_ordenacao">
                        <option value="order_destaque_desc" selected>Destaques</option>
                        <option value="order_preco_desc">Maior preço</option>
                        <option value="order_preco_asc">Menor preço</option>
                        <option value="order_ano_desc">Maior ano</option>
                        <option value="order_preco_asc">Menor ano</option>
                    </select>
                </div>
            </div>
            <div class="col-6 pl-2 ">

                <!-- Button trigger modal -->
                <button type="button" class="btn btn-submit btn-primary btn-block" data-toggle="modal"
                        data-target="#modalFiltro">
                    + Filtros <i class="d-none d-sm-block fa fa-filter"></i>
                </button>


            </div>
        </div>

        <div class="row">
            <div class="col-12">

                <div class="input-group">
                    <input type="text"
                           id="form_veiculo"
                           name="veiculo"
                           value="<?= $_GET['veiculo'] ?? '' ?>"
                           class="form-control input_text_filtro_textual"
                           placeholder="Buscar por palavra chave"
                           aria-label="Buscar por palavra chave"
                           aria-describedby="basic-addon2">
                    <div class="input-group-append">
                        <button class="btn btn-outline-secondary btn_filtro_mobile input_filtro_textual"
                                id="input_filtro_textual"
                                type="button">
                            <i class="fa fa-2x fa-search"></i>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>

</section>


<!-- Modal -->
<div class="modal fade" id="modalFiltro" tabindex="-1" role="dialog" aria-labelledby="modelTitleId"
     aria-hidden="true">
    <div class="modal-dialog" role="document">

        <div class="modal-content">

            <div class="modal-body">

                <button type="button" class="float-right close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>

                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <h3 class="text-center text-orange text-uppercase">Filtrar</h3>
                        </div>
                    </div>
                </div>


                <form class="form" id="filtro_estoque_form">
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <select
                                        name="marca"
                                        id="form_marca"
                                        class="custom-select form-control input_filtro"
                                        data-value="<?= $_GET['marca'] ?>">
                                    <option value="">Marca</option>
                                </select>

                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <select name="modelo"
                                        id="form_modelo"
                                        class="custom-select form-control input_filtro"
                                        data-value="<?= $_GET['modelo'] ?>">
                                    <option value="">Modelo</option>
                                </select>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <input type="number"
                                       name="min_ano"
                                       id="form_min_ano"
                                       placeholder="Ano de"
                                       class="xcustom-select form-control input_filtro"
                                       data-value="<?= $_GET['min_ano'] ?>"/>
                                <!--<select name="min_ano"
                        id="form_min_ano"
                        class="custom-select form-control input_filtro pl-1 pr-0 col"
                        data-value="<?= $_GET['min_ano'] ?>">
                    <option value="">Ano de</option>
                </select>-->
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">

                                <input type="number"
                                       name="max_ano"
                                       id="form_max_ano"
                                       placeholder="Ano até"
                                       class="xcustom-select form-control input_filtro"
                                       data-value="<?= $_GET['max_ano'] ?>"/>
                                <!--<select name="max_ano"
                        id="form_max_ano"
                        class="custom-select form-control input_filtro pl-1 pr-0 col"
                        data-value="<?= $_GET['max_ano'] ?>">
                    <option value="">Ano até</option>
                </select>-->
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <select name="cambio"
                                        id="form_cambio"
                                        class="custom-select form-control input_filtro pl-1 pr-0 col"
                                        data-value="<?= $_GET['cambio'] ?>">
                                    <option value="">Câmbio</option>
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <select name="combustivel"
                                        id="form_combustivel"
                                        class="custom-select form-control input_filtro pl-1 pr-0 col"
                                        data-value="<?= $_GET['combustivel'] ?>">
                                    <option value="">Combustível</option>
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <input type="text"
                                       value="<?= $_GET['min_preco'] ?? alt_get_min_price() ?>"
                                       name="min_preco"
                                       placeholder="R$ A partir"
                                       id="min_price"
                                       class="price_input form-control input_filtro"
                                       data-value="<?= $_GET['min_preco'] ?>"/>
                            </div>
                        </div>

                        <div class="col-6">
                            <div class="form-group">
                                <input type="text"
                                       value="<?= $_GET['max_preco'] ?? alt_get_max_price() ?>"
                                       placeholder="R$ Até"
                                       name="max_preco"
                                       id="max_price"
                                       class="price_input form-control input_filtro pl-1 pr-0  col"
                                       data-value="<?= $_GET['max_preco'] ?>"/>

                            </div>
                        </div>
                    </div>


                </form>
            </div>
            <div class="modal-footer text-center center">
                <button type="button" id="filtrar" class="btn btn-primary ">Filtrar <i class="fa fa-filter"></i>
                </button>
            </div>
        </div>
    </div>
</div>
