<?php
$arrVeiculos = alt_lista_veiculos();
?>

<section class="estoque_listagem mb-5">
    <div class="container">


        <?php if (empty($arrVeiculos['veiculos'])): ?>
            <?php get_template_part('veiculos/archive', 'veiculos-nao-encontrados'); ?>
        <?php else: ?>
            <div class="row">
                <?php foreach ($arrVeiculos['veiculos'] as $veiculo): ?>
                    <?php get_template_part('veiculos/archive', 'veiculos', array('data' => $veiculo['objeto'])); ?>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>


        <?php if ($arrVeiculos['paginacao']['total'] > 1): ?>
            <div class="mt-5">
                <div class="row">
                    <div class="col d-flex justify-content-center">
                        <nav aria-label="Page navigation">
                            <ul class="pagination">

                                <?php foreach (paginate_links($arrVeiculos['paginacao']) as $link): ?>
                                    <li class="page-item">
                                        <?= str_replace('page-numbers', 'page-link', $link) ?>
                                    </li>
                                <?php endforeach; ?>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        <?php endif; ?>


    </div>
</section>
