<header id="masthead" class="site-header" role="banner">

    <style>
        .navbar-nav>li>a {
            color: #fff;
            display: block;
            font-size: 13px;
            font-weight: 800;
            line-height: 27px;
            padding: 20px 22px;
            text-transform: uppercase;
            position: relative;
            background: transparent !important;
            margin-bottom: 0px !important;
        }

        span.icon-bar {
            background: white !important;

        }

        @media(max-width: 768px) {
            .navbar-header {
                padding-top: 5px;
            }
        }

        @media (max-width: 767px) {
            .header_search{
                padding: 5px;
            }}
    </style>

    <div class="default-header">
        <?php
        if (is_active_sidebar('alt_header_top')) {
            dynamic_sidebar('alt_header_top');
        } ?>

        <div class="container">
            <div class="row">
                <div class="col-sm-3 col-md-2">
                    <div class="logo">
                        <a href="/">
                            <?= alt_short_code_logo() ?>
                        </a>
                    </div>
                </div>
                <div class="col-sm-9 col-md-10">
                    <?php
                    if (is_active_sidebar('menu_superior_1')) {
                        dynamic_sidebar('menu_superior_1');
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>

    <!-- Navigation -->
    <nav id="navigation_bar" class="secondary-bg nav-stacked" data-spy="affix" data-offset-top="205">
        <div class="container">
            <div class="navbar-header">
                <button id="menu_slide" data-target="#navigation" aria-expanded="false" data-toggle="collapse" class="navbar-toggle collapsed" type="button"><span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span>
                </button>
            </div>
            <div class="header_wrap" id="header_widget">

                <?php
                if (is_active_sidebar('menu_superior_2')) {
                    dynamic_sidebar('menu_superior_2');
                } ?>

            </div>
            <div class="collapse navbar-collapse" id="navigation">
                <?= alt_menu_custom(); ?>
            </div>
        </div>
    </nav>
</header>
<!-- Navigation end -->