<div class="col-sm-4 veiculo_card mt-4">
    <a href="<?= get_permalink($args['data']->ID) ?>" class="no-link">
        <div class="card">
            <div class="imagem_veiculo_block">



                <?= get_alt_imagem_veiculo($args['data']->ID, 'medium', ['class' => 'img-fluid card-img-top']) ?>


                <div class="selo_block">
                    <?= get_tag_veiculo($args['data']->ID); ?>
                </div>
            </div>
            <div class="card-body card-detalhes">
                <div class="row box_descricao">
                    <div class="col">
                        <span class="marca_text"><?= get_marca_do_veiculo($args['data']->ID) ?></span>
                        <span class="modelo_text"><?= mb_strimwidth(get_modelo_do_veiculo($args['data']->ID),0,14,'...') ?></span>
                    </div>

                </div>

                <div class="row">
                    <div class="col">
                        <div class="complemento_text">
                            <?= alt_get_caracteristicas($args['data']->ID, 'alt_modelo_complemento') ?>
                        </div>
                    </div>
                </div>

                <div class="row align-self-end">
                    <div class="col">
                        <div class="valor_text">

                            <?= get_preco_veiculo($args['data']->ID) ?>

                        </div>
                    </div>


                </div>
            </div>

            <div class="card-body pr-3 card-opcionais">
                <div class="row">

                    <div class="col-6 mt-3">

                        <div class="media">
                            <span class="alt-icon-ano text-orange fa-2x"></span>

                            <div class="media-body pl-2">
                                <div class="caracteristicas_veiculo">
                                    <span class="text_opcional_titulo">ANO</span>
                                    <br/>
                                    <span class="text_opcional_valor">
                                                    <?= alt_get_caracteristicas($args['data']->ID, 'alt_ano_mod') ?>
                                                </span>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="col-6 mt-3">

                        <div class="media">
                            <span class="alt-icon-km text-orange fa-2x"></span>

                            <div class="media-body pl-2">
                                <div class="caracteristicas_veiculo">
                                    <span class="text_opcional_titulo">KM</span>
                                    <br/>
                                    <span class="text_opcional_valor">
                                                    <?= alt_get_caracteristicas($args['data']->ID, 'alt_kilometragem') ?>
                                                </span>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="col-6 mt-3">

                        <div class="media">
                            <span class="alt-icon-cambio text-orange fa-2x"></span>

                            <div class="media-body pl-2">
                                <div class="caracteristicas_veiculo">
                                    <span class="text_opcional_titulo">Câmbio</span>
                                    <br/>
                                    <span class="text_opcional_valor">
                                                    <?= mb_strimwidth(alt_get_caracteristicas($args['data']->ID, 'alt_cambio'),0,13,'.') ?>
                                                </span>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="col-6 mt-3">

                        <div class="media">
                            <span class="alt-icon-combustivel text-orange fa-2x"></span>

                            <div class="media-body pl-2">
                                <div class="caracteristicas_veiculo">
                                    <span class="text_opcional_titulo">Combustível</span>
                                    <br/>
                                    <span class="text_opcional_valor">
                                        <?= mb_strimwidth(alt_get_caracteristicas($args['data']->ID, 'alt_combustivel'),0,13,'.') ?>

                                                </span>
                                </div>
                            </div>
                        </div>

                    </div>

                </div>
            </div>


        </div>
    </a>
</div>
