<?php
defined('ABSPATH') || exit;
global $post;
$arrImagens = alt_get_caracteristicas($post->ID, 'alt_imagens');
$modelo = get_layout_produto();


$size = 'medium_large';

if ($modelo == 'modelo3') {
    $size = 'full';
}
$imagens_s3 = alt_get_caracteristicas($post->ID, 'imagem_destaque');

?>

<style>
    .mfp-counter{
        display: none;
    }
</style>

<div id="listing_images_slider" class="listing_images_slider">
    <?php
    $youtube = alt_get_video($post->ID);

    if (!empty($youtube)):?>
        <div class='image-link'>
            <?php echo $youtube; ?>
        </div>
    <?php endif; ?>


    <?php if (empty($arrImagens)): ?>


        <a class='image-link' href="#">
            <?php
            echo get_alt_placeholder_imagem($size, []);
            ?>
        </a>
    <?php endif; ?>

    <?php foreach ($arrImagens as $attachment_id => $url_image): ?>

        <?php if ($imagens_s3): ?>
            <a class='image-link' href="<?= $url_image ?>">
                <img src="<?= $url_image ?>" class="img-responsive"/>
            </a>
        <?php else: ?>
            <a class='image-link' href="<?= $url_image ?>">
                <?= wp_get_attachment_image($attachment_id, $size, null, ['class' => 'img-responsive', 'alt' => $post->post_title]) ?>
            </a>
        <?php endif; ?>


    <?php endforeach; ?>
</div>
<div id="listing_images_slider_nav" class="listing_images_slider_nav">

    <?php
    $youtube = alt_get_video($post->ID);
    $url_thumb = alt_get_video_thumb($post->ID);
    if (!empty($youtube)):
        ?>
        <div>
            <img class="img-responsive" width="146" src="<?php echo $url_thumb ?>">
        </div>
    <?php endif; ?>



    <?php foreach ($arrImagens as $attachment_id => $url_image): ?>

        <?php if ($imagens_s3): ?>
            <div>
                <img class="img-responsive" width="146" src="<?php echo $url_image ?>">
            </div>
        <?php else: ?>
            <div>
                <?= wp_get_attachment_image($attachment_id, 'thumbnail', false, ['class' => 'img-responsive', 'alt' => $post->post_title]) ?>
            </div>
        <?php endif; ?>

    <?php endforeach; ?>

</div>


