<?php
global $post;

$titulo = get_titulo_produto($post->ID);
$valor = get_preco_veiculo($post->ID);
$url_veiculo = get_permalink($post->ID);

$mensagem = "Veja esse veículo que acabei de encontrar. \n" . $url_veiculo;

$url_facebook = "http://www.facebook.com/share.php?u={$url_veiculo}&t={$titulo}";
$url_twitter = "https://twitter.com/intent/tweet?text={$mensagem}";


$url_google = "https://plus.google.com/share?url={$url_veiculo}";
$url_whatsapp = "https://api.whatsapp.com/send?text={$mensagem}";
$url_linkedin = "https://www.linkedin.com/shareArticle?mini=true&url={$url_veiculo}&source=LinkedIn";


$foto_principal = get_the_post_thumbnail_url($post->ID, 'full');

?>

<style>
    .listing_detail_header {
        background: rgba(0, 0, 0, 0) url(<?= $foto_principal ?>) no-repeat fixed center center / cover;
    }
</style>


<div <?php post_class(['session-veiculo', 'modelo_3'], get_the_ID()); ?> id="product-<?php the_ID(); ?> exibir_veiculo">
    <?php
    if (is_active_sidebar('sidebar_sessao_4')) {
        dynamic_sidebar('sidebar_sessao_4');
    }
    ?>
    <section class="listing_detail_header">
        <div class="container">
            <div class="listing_detail_head white-text div_zindex row">
                <div class="col-md-9">
                    <h2>
                        <?= get_titulo_produto($post->ID, true) ?>
                    </h2>
                    <div class="car-location">
                        <span>
                            <i class="fa fa-map-marker" aria-hidden="true"></i>

                            <?php
                            $arrMarca = get_the_terms($post->ID, 'marca');
                            $arrModelo = get_the_terms($post->ID, 'modelo');
                            ?>

                            <a href="<?= alt_get_url_estoque() . '?marca=' . $arrMarca[0]->slug ?>">
                                <?= $arrMarca[0]->name ?>
                            </a>
                            /
                            <a href="<?= alt_get_url_estoque() . '?modelo=' . $arrModelo[0]->slug ?>">
                                <?= $arrModelo[0]->name ?>
                            </a>
                        </span>
                    </div>
                    <div class="add_compare">

                        <div class="share_vehicle">
                            <p>Compartilhar:
                                <a href="<?= $url_facebook; ?>" rel="nofollow" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;">
                                    <i class="fab fa-facebook-square" aria-hidden="true">

                                    </i>
                                </a>
                                <a href="<?= $url_twitter; ?>" rel="nofollow" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;">
                                    <i class="fab fa-twitter-square" aria-hidden="true">

                                    </i>
                                </a>
                                <a href="<?= $url_whatsapp ?>" rel="nofollow" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;">
                                    <i class="fab fa-whatsapp-square" aria-hidden="true">

                                    </i>
                                </a>
                                <a href="<?= $url_linkedin ?>" rel="nofollow" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;">
                                    <i class="fab fa-linkedin" aria-hidden="true">

                                    </i>
                                </a>
                            </p>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="price_info">

                        <p><?= $valor; ?></p>
                        <?= alt_get_if_repasse(get_the_ID()) ?>
                        <?= alt_get_tags(get_the_ID()); ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="dark-overlay">

        </div>
    </section>

    <section class="listing-detail">
        <div class="container">
            <div class="row">
                <div class="col-md-9">

                    <div class="listing_images">
                        <?php get_template_part('veiculos/loop/product', 'image', ['modelo' => 'modelo1']); ?>
                    </div>

                    <div class="section_sidebar1">
                        <?php
                        if (is_active_sidebar('sidebar_sessao_1')) {
                            dynamic_sidebar('sidebar_sessao_1');
                        }
                        ?>

                    </div>


                    <div class="main_features">
                        <ul>
                            <?php $arrItens = getCaracteristasSessionDetalhes(); ?>

                            <?php if ($arrItens === false || in_array('alt_kilometragem', $arrItens)) : ?>
                                <li><i class="fas fa-tachometer-alt" aria-hidden="true"></i>
                                    <h5>
                                        <?php

                                        $km = alt_get_caracteristicas($post->ID, 'alt_kilometragem');
                                        echo $km;

                                        ?>
                                    </h5>
                                    <p>KM</p>
                                </li>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_ano_mod', $arrItens)) : ?>
                                <li><i class="far fa-calendar-alt" aria-hidden="true"></i>
                                    <h5>
                                        <?= alt_get_caracteristicas($post->ID, 'alt_ano_mod'); ?>
                                    </h5>
                                    <p>Ano/Modelo</p>
                                </li>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_combustivel', $arrItens)) : ?>
                                <li><i class="fas fa-gas-pump" aria-hidden="true"></i>
                                    <h5><?= alt_get_caracteristicas($post->ID, 'alt_combustivel'); ?></h5>
                                    <p>Combustível</p>
                                </li>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_cambio', $arrItens)) : ?>
                                <li><i class="fa fa-power-off" aria-hidden="true"></i>
                                    <h5><?= alt_get_caracteristicas($post->ID, 'alt_cambio'); ?></h5>
                                    <p>Câmbio</p>
                                </li>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_cor', $arrItens)) : ?>
                                <li><i class="fas fa-brush" aria-hidden="true"></i>
                                    <h5><?= alt_get_caracteristicas($post->ID, 'alt_cor'); ?></h5>
                                    <p>Cor</p>
                                </li>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_placa', $arrItens)) : ?>
                                <li><i class="fas fa-list" aria-hidden="true"></i>
                                    <h5><?= alt_get_caracteristicas($post->ID, 'alt_placa'); ?></h5>
                                    <p>Placa</p>
                                </li>
                            <?php endif; ?>

                            <?php if ($arrItens !== false) : ?>

                                <?php if (in_array('alt_portas', $arrItens)) : ?>
                                    <li><i class="icon-portas" aria-hidden="true"></i>
                                        <h5><?= alt_get_caracteristicas($post->ID, 'alt_portas'); ?></h5>
                                        <p>Portas</p>
                                    </li>
                                <?php endif; ?>

                                <?php if (in_array('alt_marca', $arrItens)) : ?>
                                    <li><i class="fas fa-tags" aria-hidden="true"></i>
                                        <h5><?= alt_get_marca_modelo_tipo($post->ID, 'marca'); ?></h5>
                                        <p>Marca</p>
                                    </li>
                                <?php endif; ?>

                                <?php if (in_array('alt_modelo', $arrItens)) : ?>
                                    <li><i class="fas fa-car" aria-hidden="true"></i>
                                        <h5><?= alt_get_marca_modelo_tipo($post->ID, 'modelo'); ?></h5>
                                        <p>Modelo</p>
                                    </li>
                                <?php endif; ?>

                                <?php if (in_array('alt_ano_fab', $arrItens)) : ?>
                                    <li><i class="far fa-calendar-check" aria-hidden="true"></i>
                                        <h5><?= alt_get_caracteristicas($post->ID, 'alt_ano_fab'); ?></h5>
                                        <p>Ano de Fabricação</p>
                                    </li>
                                <?php endif; ?>
                            <?php endif; ?>
                        </ul>
                    </div>

                    <div class="listing_more_info">
                        <div class="listing_detail_wrap">
                            <!-- Nav tabs -->
                            <ul class="nav nav-tabs gray-bg" role="tablist">
                                <li role="presentation" class="active">
                                    <a href="#acessorios" aria-controls="acessorios" role="tab" id="descritivo_click_opcionais" data-toggle="tab">Acessórios</a>
                                </li>
                                <li role="presentation">
                                    <a href="#informacoes-sobre-veiculo " aria-controls="informacoes-sobre-veiculo" id="descritivo_click_descricao" role="tab" data-toggle="tab">Informações sobre o
                                        veículo </a>
                                </li>

                            </ul>

                            <!-- Tab panes -->
                            <div class="tab-content no-padding">


                                <!-- Accessories -->
                                <div role="tabpanel" class="tab-pane active" id="acessorios">


                                <div class="row">
                                    <?= $acessorios = alt_get_caracteristicas($post->ID, 'alt_acessorios');?>
                                        <?php if (is_array($acessorios)) : ?>

                                            <?php foreach ($acessorios as $acessorio) : ?>
                                                <div class="col-md-4 mt-4">
                                                    <i class="fa fa-check" aria-hidden="true"></i>
                                                    <?= $acessorio['descricao'] ?>
                                                </div>
                                            <?php endforeach; ?>

                                        <?php endif; ?>
                                    </div>
                                </div>

                                <!-- informacoes-sobre-veiculo -->
                                <div role="tabpanel" class="tab-pane " id="informacoes-sobre-veiculo">
                                    <h4>Informações:</h4>
                                    <?= the_content() ?>
                                </div>

                            </div>
                        </div>
                        <?php if (!empty($youtube_param)) : ?>
                            <!--Vehicle-Video-->
                            <div class="video_veiculo">
                                <h6>Assista ao vídeo</h6>
                                <div class="video-box">


                                    <?= $youtube_param; ?>

                                </div>
                            </div>

                        <?php endif; ?>


                        <?php
                        if (is_active_sidebar('sidebar_sessao_2')) {
                            dynamic_sidebar('sidebar_sessao_2');
                        }
                        ?>

                    </div>


                </div>
                <aside class="col-md-3">
                    <?php
                    if (is_active_sidebar('sidebar_formulario_contato')) {
                        dynamic_sidebar('sidebar_formulario_contato');
                    } else {
                        the_widget('alt_formulario_lead');
                    }
                    ?>
                </aside>
            </div>

            <div class="space-20"></div>
            <div class="divider"></div>

            <!--Similar-Cars-->
            <div class="similar_cars">
                <div class="row">
                    <?= woocommerce_veiculos_similares($post, 3) ?>
                </div>
            </div>
            <!--/Similar-Cars-->

            <?php
            if (is_active_sidebar('sidebar_sessao_3')) {
                dynamic_sidebar('sidebar_sessao_3');
            }
            ?>
        </div>
    </section>
</div>