(function ($) {
    'use strict';
    $(function (e) {
        /*------------------------------------------------------------------
            Listing Image Slider { Style 1}
            -------------------------------------------------------------------*/
        var owl = $("#listing_img_slider");
        owl.owlCarousel({
            center:true,
            itemsCustom: [
                [0, 1],
                [450, 1],
                [700, 2],
                [1024, 3],
                [1200, 3],
            ],
            loop: true,
            nav: true,
            navigation: true,
            pagination: false,
            autoPlay: false,
            navigationText: ["Voltar", "Próximo"],
        });


        /*------------------------------------------------------------------
            Listing Image Slider { Style 2}
            -------------------------------------------------------------------*/
        $('#listing_images_slider').slick({
            slidesToShow: 1,
            slidesToScroll: 1,
            arrows: false,
            fade: false,
            asNavFor: '#listing_images_slider_nav'
        });
        $('#listing_images_slider_nav').slick({
            slidesToShow: 4,
            slidesToScroll: 1,
            asNavFor: '#listing_images_slider',
            dots: false,
            centerMode: false,
            focusOnSelect: true
        });


        /*------------------------------------------------------------------
            Filter-Form
            -------------------------------------------------------------------*/
        /*$('#filter_toggle').on('click', function (e) {
            $("#filter_form").slideToggle();
        });*/

        /*------------------------------------------------------------------
            Other-info
            -------------------------------------------------------------------*/
        $('#other_info').on('click', function (e) {
            $("#info_toggle").slideToggle();
        });


        /*------------------------------------------------------------------
            Other-info
            -------------------------------------------------------------------*/

        var zoom_percent = "100";

        function zoom(zoom_percent) {
            $(".mfp-figure figure").click(function () {
                switch (zoom_percent) {
                    case "100":
                        zoom_percent = "120";
                        break;
                    case "120":
                        zoom_percent = "150";
                        break;
                    case "150":
                        zoom_percent = "200";
                        $(".mfp-figure figure").css("cursor", "zoom-out");
                        break;
                    case "200":
                        zoom_percent = "100";
                        $(".mfp-figure figure").css("cursor", "zoom-in");
                        break;
                }
                $(this).css("zoom", zoom_percent + "%");
            });
        }


        $('.listing_images_slider').magnificPopup({
            delegate: 'a',
            type: 'image',
            preload: 0,
            gallery: {
                enabled: true,
                navigateByImgClick: false,
                tCounter: '<span class="mfp-counter">%curr% de %total%</span>'
            },
            callbacks: {
                open: function () {
                    $(".mfp-figure figure").css("cursor", "zoom-in");
                    zoom(zoom_percent);
                },
                close: function () {
                    // Will fire when popup is closed
                }
                // e.t.c.
            }
        });


        $('#listing_img_slider').magnificPopup({
            delegate: 'a',
            type: 'image',
            preload: 0,
            gallery: {
                enabled: true,
                navigateByImgClick: false,
                tCounter: '<span class="mfp-counter">%curr% de %total%</span>'
            },
            callbacks: {
                open: function () {
                    $(".mfp-figure figure").css("cursor", "zoom-in");
                    zoom(zoom_percent);
                },
                close: function () {
                    // Will fire when popup is closed
                }
                // e.t.c.
            }
        });


    });


})(jQuery);
