<?php
add_action('widgets_init', 'alt_register_sidebars');
function alt_register_sidebars()
{

    register_sidebar(
        array(
            'name' => 'Header - TOP ',
            'id' => 'alt_header_top',
            'description' => 'Topo da página',
            'before_widget' => '<div class="top_pagina">',
            'after_widget' => '</div>',
        )
    );

    register_sidebar(
        array(
            'name' => 'Header - Posição 1 ',
            'id' => 'menu_superior_1',
            'description' => 'Acima dos links principais ao lado da logo',
            'before_widget' => '<div class="menu_posicao_1">',
            'after_widget' => '</div>',
        )
    );


    register_sidebar(
        array(
            'name' => 'Header - Menu - Posição 2',
            'id' => 'menu_superior_2',
            'description' => 'Dentro do menu principal ao lado dos links',
            'before_widget' => '<div class="menu_posicao_2">',
            'after_widget' => '</div>',

        )
    );

    register_sidebar(
        array(
            'name' => 'Header - Menu - Posição 3',
            'id' => 'top_header',
            'description' => 'Menu superior para modelo 3 de header',
            'before_widget' => '<div class="menu_posicao_3">',
            'after_widget' => '</div>',
        )
    );

    register_sidebar(
        array(
            'name' => 'Header (Modelo 2)',
            'id' => 'header_modelo2',
            'description' => 'Header Modelo 2',
            'before_widget' => '<div class="sidebar_widget_footer">',
            'after_widget' => '</div>',
            'before_title' => '<h6 class="widget_heading">',
            'after_title' => '</h6>'
        )
    );

    register_sidebar(
        array(
            'name' => 'Home - Filtro de veículos',
            'id' => 'home1',
            'description' => 'Exibido logo apos o o banner inicial da home (Filtro)',
            'before_widget' => '',
            'after_widget' => '',
            'before_title' => '',
            'after_title' => ''
        )
    );

    register_sidebar(
        array(
            'name' => 'Home - 1',
            'id' => 'home2',
            'description' => 'Exibido logo apos veículos em destaque',
            'before_widget' => '<div class="row">',
            'after_widget' => '</div>',
            'before_title' => '',
            'after_title' => ''
        )
    );

    register_sidebar(
        array(
            'name' => 'Home 2',
            'id' => 'home3',
            'description' => 'Exibido logo apos veículos mais recentes',
            'before_widget' => '',
            'after_widget' => '',
            'before_title' => '',
            'after_title' => ''
        )
    );


    register_sidebar(
        array(
            'name' => 'Home 3',
            'id' => 'home4',
            'description' => 'Exibido logo apos marcas mais procuradas',
            'before_widget' => '',
            'after_widget' => '',
            'before_title' => '',
            'after_title' => ''
        )
    );


    register_sidebar(
        array(
            'name' => 'Estoque - Sidebar Esquerdo',
            'id' => 'sitebar_estoque',
            'description' => 'SIDEBAR lateral esquerdo da tela de listagem de veículos.',
            'before_widget' => '<div class="sidebar_estoque">',
            'after_widget' => '</div>',

        )
    );


    register_sidebar(
        array(
            'name' => 'Estoque - Veículo não encontrado',
            'id' => 'sidebar_veiculo_nao_encontrado',
            'description' => 'Sidebar que será apresentado apos não encontrar nenhum veículo na busca de estoque',
            'before_widget' => '<div class="sidebar_listagem_veiculo_nao_encontrado">',
            'after_widget' => '</div>',

        )
    );

    register_sidebar(
        array(
            'name' => 'Estoque - Listagem de veículos',
            'id' => 'sidebar_bloco_veiculo',
            'description' => 'Sessão localizada no bloco que o veículo é apresentado',
            'before_widget' => '<div class="sidebar_bloco_veiculo_item">',
            'after_widget' => '</div>'

        )
    );

    register_sidebar(
        array(
            'name' => 'Detalhes do veículo - Sidebar Direito',
            'id' => 'sidebar_formulario_contato',
            'description' => 'Sidebar lateral direito da tela de detalhes do veículo',
            'before_widget' => '<div  class="sidebar_detalhes_veiculos">',
            'after_widget' => '</div>'
        )
    );

    register_sidebar(
        array(
            'name' => 'Detalhes do veículo - Sessão 1',
            'id' => 'sidebar_sessao_1',
            'description' => 'Sessão localizada abaixo das fotos',
            'before_widget' => '<div class="sidebar_">',
            'after_widget' => '</div>'

        )
    );


    register_sidebar(
        array(
            'name' => 'Detalhes do veículo - Sessão 2',
            'id' => 'sidebar_sessao_2',
            'description' => 'Sessão localizada abaixo das informações de opcionais',
            'before_widget' => '<div class="sidebar_">',
            'after_widget' => '</div>'
        )
    );

    register_sidebar(
        array(
            'name' => 'Detalhes do veículo - Sessão 3',
            'id' => 'sidebar_sessao_3',
            'description' => 'Sessão localizada abaixo das sugestões de veículos',
            'before_widget' => '<div class="sidebar_">',
            'after_widget' => '</div>'
        )
    );

    register_sidebar(
        array(
            'name' => 'Detalhes do veículo - Sessão 4',
            'id' => 'sidebar_sessao_4',
            'description' => 'Sessão localizada abaixo do menu principal e acima do titulo',
            'before_widget' => '<div class="sidebar_">',
            'after_widget' => '</div>'
        )
    );

    register_sidebar(
        array(
            'name' => 'Blog - Sidebar Direito',
            'id' => 'blogleft',
            'description' => 'Sidebar Direito',
            'before_widget' => '<div class="sidebar_widget_footer">',
            'after_widget' => '</div>',
            'before_title' => '<h6 class="widget_heading">',
            'after_title' => '</h6>'
        )
    );


    register_sidebar(
        array(
            'name' => 'Footer (col-12)',
            'id' => 'sidebar_footer',
            'description' => '',
            'before_widget' => '<div class="bloco_footer_12">',
            'after_widget' => '</div>',
        )
    );


}

