<?php
defined('ABSPATH') || exit;

global $product;

if (empty($product) || !$product->is_visible()) {
    return;
}
?>
<div class="col-md-12">
    <div class="featured-car-list">

        <div class="featured-car-img">
            <a href="<?php do_action('alt_link_to_product'); ?>">
                <?php do_action('alt_get_imagem_veiculo', 'alt_imagem_veiculo_destaque'); ?>

            </a>

            <?=alt_get_tags(get_the_ID());?>

        </div>
        <div class="featured-car-content">
            <h6>
                <a href="<?php do_action('alt_link_to_product'); ?>">
                    <?= $product->get_title() ?>
                </a>
            </h6>
            <div class="price_info">
                <p class="featured-price">
                    <?php echo get_preco_veiculo($product); ?>
                </p>
                <div class="car-location text-right">
                    <?=alt_get_if_repasse(get_the_ID())?>
                </div>
            </div>
            <?= alt_lista_caracteristicas(get_the_ID()) ?>
        </div>
    </div>
</div>