<?php
$args = array(
    'post_type' => 'banners',
    'post_status' => array('publish'),
    'limit' => 999
);

$query = new WP_Query($args);
$have_post = $query->have_posts();
$i = 0;
?>

<?php if ($have_post): ?>
    <!--Banner-->
    <section id="banner2">
        <div id="carousel-example-generic" class="carousel slide" data-ride="carousel">
            <!-- Wrapper for slides -->
            <div class="carousel-inner">

                <?php while ($query->have_posts()) : $query->the_post(); ?>
                    <?php
                    $titulo = get_the_title();
                    $descricao = get_the_content();
                    $newBlank = get_post_meta(get_the_ID(), 'alt_banner_nova_guia', true) == 'sim' ? '_blank' : '_parent';

                    $link = get_post_meta(get_the_ID(), 'alt_banner_link', true) ?? null;
                    $url_video = get_post_meta(get_the_ID(), 'alt_banner_video', true) ?? null;
                    $link = get_post_meta(get_the_ID(), 'alt_banner_link', true) ?? null;
                    $exibir_texto = get_post_meta(get_the_ID(), 'alt_banner_exibir_texto', true) ?? false;


                    $url_imagem = null;
                    if (wp_is_mobile()) {
                        $url_imagem = get_post_meta(get_the_ID(), 'alt_banner_imagem_mobile', true) ?? null;
                    }

                    if (empty($url_imagem)) {
                        $url_imagem = get_post_meta(get_the_ID(), 'alt_banner_imagem', true) ?? null;
                    }

                    if (empty($url_imagem)) {
                        continue;
                    }

                    ?>

                    <div class="item <?= $i == 0 ? 'active' : ''; ?>">
                        <?php if (!empty($link)): ?>
                        <a target="<?= $newBlank ?>" href="<?= $link ?>">
                            <?php endif; ?>
                            <?=$descricao?>
                            <div class="img-banner">
                                <img src="<?= $url_imagem ?>" class="img-responsive" alt="image">
                                <div class="carousel-caption">

                                </div>
                            </div>
                            <?php if (!empty($link)): ?>
                        </a>
                    <?php endif; ?>
                    </div>

                    <?php $i++; ?>
                <?php endwhile; ?>


            </div>

            <!-- Controls -->
            <a class="left carousel-control" href="#carousel-example-generic" aria-label="Voltar slide"
               data-slide="prev">
                <div class="icon-prev"></div>
            </a>
            <a class="right carousel-control" href="#carousel-example-generic" aria-label="Avancar slide"
               data-slide="next">
                <div class="icon-next"></div>
            </a>
        </div>
    </section>
    <!--/Banner-->
<?php endif; ?>
