<!-- Testimonial-->
<section class="section-padding testimonial-section parallex-bg">
    <div class="container div_zindex">
        <div class="section-header white-text text-center">
            <h2>Depoimento <span>dos nossos clientes</span></h2>
            <p>Veja a opinião de quem já conhece o nosso trabalho <br/>e já comprovou a eficiência de nossos
                serviços
            </p>
        </div>
        <div class="row">
            <div id="testimonial-slider">

                <?php while ($query->have_posts()) : $query->the_post(); ?>

                    <?php
                    $nome = get_the_title();
                    $foto = get_the_post_thumbnail_url(get_the_ID(), 'alt-depoimentos');
                    ?>


                    <div class="testimonial-m">
                        <div class="testimonial-img">
                            <img
                                    src="<?= $foto ?>"
                                    alt="images"/></div>
                        <div class="testimonial-content">
                            <div class="testimonial-heading">
                                <h5><?= $nome ?></h5>
                                <span class="client-designation"><?= $titulo ?></span></div>
                            <p>
                                <?php
                                $title = mb_strimwidth(get_the_content(), 0, 270, '...');
                                ?>
                                <?= $title ?>
                            </p>
                        </div>
                    </div>

                <?php endwhile; ?>
            </div>
        </div>
    </div>
    <!-- Dark Overlay-->
    <div class="dark-overlay"></div>
</section>
<!-- /Testimonial-->