<?php if (get_mostrar_veiculos_mais_recentes()): ?>

    <?php

    $total_de_veiculos_mais_recentes = get_total_veiculos_mais_recentes();
    $sn_exibir_repasses = get_exibir_repasse_recentes();
    $tipo_veiculos = get_tipo_veiculo_mais_recentes();



    $semDestaque = array(
        'relation' => 'OR',
        array(
            'key' => 'alt_destaque',
            'compare' => 'NOT EXISTS',
        ),
        array(
            'key' => 'alt_destaque',
            'compare' => '!=',
            'value' => 'on'
        ),
        array(
            'key' => 'alt_destaque',
            'compare' => '!=',
            'value' => '1'
        )

    );

    if ($sn_exibir_repasses == 'nao') {
        $semRepasse = array(
            'relation' => 'OR',
            array(
                'key' => 'alt_repasse',
                'compare' => '!=',
                'value' => '1'
            )
        );

    } else {
        $semRepasse = [];
    }


    $arr['meta_query'] = array(
        'relation' => 'AND',
        $semRepasse,
        $semDestaque
    );


    if ($tipo_veiculos != 'todos') {
        $arr['tax_query'] = array(
            'relation' => 'OR',
            array(
                'taxonomy' => 'tipo',
                'terms' => $tipo_veiculos,
                'operator' => 'AND',
                'field' => 'slug',
            ),
        );
    }


    $arr['post_status'] = 'publish';
    $arr['post_type'] = 'veiculos';
    $arr['posts_per_page'] = $total_de_veiculos_mais_recentes;


    $query = new WP_Query($arr);
    $arrVeiculos = $query->posts;

    // Se houver algum post
    if ($arrVeiculos):?>
        <!-- Outros veiculos -->
        <section class="section-padding session_mais_recentes">
            <div class="container">
                <div class="section-header text-center">

                    <?php
                    $titulo = get_titulo_mais_recentes();
                    ?>

                    <?php if (empty($titulo)): ?>
                        <h2>Veículos <span>mais recentes</span></h2>
                        <p>Carros novos e usados, confira os veículos mais recentes cadastrados em nosso <a href="<?=alt_get_url_estoque()?>"> estoque</a></p>

                    <?php else: ?>
                        <?=$titulo?>
                    <?php endif; ?>
                </div>
                <div class="row">
                    <?php foreach ($arrVeiculos as $veiculo):?>
                        <?php get_template_part('veiculos/archive', 'box-veiculo', array('data' => $veiculo)); ?>
                    <?php endforeach; ?>
                </div>

                <div class="row">
                    <div class="col-md-12 text-center">
                        <a href="<?=alt_get_url_estoque()?>" class="btn xbtn-block">
                            <i class="fa fa-search" aria-hidden="true"></i>
                            Veja todo nosso estoque
                        </a>
                    </div>
                </div>
            </div>
        </section>
        <!-- /Featured Car-->
    <?php endif; ?>

<?php endif; ?>
