<?php

$size = $args['size'] ?? 'col-md-4'
?>

<div <?php post_class([$size], $args['data']->ID); ?>>
    <div class="grid_listing box-veiculo">
        <div class="product-listing-m gray-bg">
            <div class="product-listing-img">

                <?php
                do_action('get_if_destaque', $args['data']->ID);
                ?>
                <div class="img_box_details">
                    <a href="<?= get_permalink($args['data']->ID) ?>">
                        <?= get_alt_imagem_veiculo($args['data']->ID, 'large', ['class' => 'img-responsive img-box-destaque card-img-top']) ?>
                    </a>
                </div>
                <?= alt_get_tags($args['data']->ID); ?>


            </div>

            <div class="product-listing-content">
                <h2 class="title_box">
                    <a href="<?= get_permalink($args['data']->ID) ?>">
                        <?= get_titulo_produto($args['data']->ID); ?>
                    </a>
                </h2>
                <p class="list-price">
                    <?php echo get_preco_veiculo($args['data']->ID); ?>
                </p>
                <div class="car-location">
                    <?= alt_get_if_repasse($args['data']->ID) ?>
                </div>


                <?= alt_lista_caracteristicas($args['data']->ID) ?>

            </div>

            <?php
            $nome = strip_tags(get_titulo_produto($args['data']->ID));
            if (get_show_button_whatsapp_listagem()) {
                do_shortcode('[alt_whatsapp_sc title="' . $nome . '" url="' . get_permalink($args['data']->ID) . '" modelo="1" id="' . $args['data']->ID . '"]');
            }
            ?>
            <?php
            if (is_active_sidebar('sidebar_bloco_veiculo')) {
                dynamic_sidebar('sidebar_bloco_veiculo');
            }
            ?>

        </div>

    </div>
</div>
