<?php
$tipo = LAYOUT_BOX ?? 'bloco';
$limit = $_REQUEST['total'];
$arrVeiculos = alt_lista_veiculos($limit);
?>
<div class="row">
    <div class="lista_veiculos_estoque">

        <div class="col-md-9 col-md-push-3">


            <?php get_template_part('veiculos/loop/component', 'orderby', ['paginacao' => $arrVeiculos['paginacao']]); ?>

            <?php if (empty($arrVeiculos['veiculos'])): ?>
                <?php get_template_part('veiculos/archive', 'veiculos-nao-encontrados'); ?>
            <?php else: ?>
                <div class="row">
                    <?php foreach ($arrVeiculos['veiculos'] as $veiculos):
                        global $veiculo_wp;
                        $veiculo_wp = $veiculos;
                        ?>

                        <?php

                        if ($tipo == 'lista') {
                            get_template_part('veiculos/archive', 'lista-veiculo', array('data' => $veiculos['objeto']));
                        }

                        if ($tipo == 'bloco'||$tipo == 'block') {
                            get_template_part('veiculos/archive', 'box-veiculo', array('data' => $veiculos['objeto']));
                        }

                        if ($tipo == 'superior') {
                            get_template_part('veiculos/archive', 'box-veiculo', array('data' => $veiculos['objeto']));
                        }
                        ?>


                    <?php endforeach; ?>
                    <?php if ($arrVeiculos['paginacao']['total'] > 1): ?>

                        <div class="row">

                            <div class="col-md-12">

                                <div class="pagination">
                                    <ul>
                                        <?php foreach (paginate_links($arrVeiculos['paginacao']) as $index => $link): ?>

                                            <?php
                                            $current = false;
                                            if ($index + 1 == $arrVeiculos['paginacao']['current']) {
                                                $current = true;
                                            }
                                            ?>
                                            <li class="page-item <?= $current ? 'current' : 'outher' ?>">
                                                <?= $link ?>

                                            </li>
                                        <?php endforeach; ?>
                                    </ul>
                                </div>

                            </div>
                        </div>

                    <?php endif; ?>
                </div>
            <?php endif; ?>
        </div>

    </div>

    <div class="col-md-3 col-md-pull-9">
        <?php
        if (is_active_sidebar('sitebar_estoque')) {
            dynamic_sidebar('sitebar_estoque');
        } else {
            $args['layout'] = 'vertical-a';
            $args['title'] = 'Filtro';
            $args['subtitle'] = '';

            the_widget('alt_filtro', $args);


            $args['title'] = 'Veículos mais recentes';
            the_widget('alt_veiculos_mais_recentes', $args);

        }
        ?>

    </div>

</div>
