<?php
$tipo = LAYOUT_BOX;
$limit = $_REQUEST['total'] ?? get_total_veiculo_no_estoque();
$arrVeiculos = alt_lista_veiculos($limit);
?>

<div class="row">

    <?php
    if (is_active_sidebar('sitebar_estoque')) {
        dynamic_sidebar('sitebar_estoque');
    } else {
        $args['layout'] = 'vertical-a';
        $args['title'] = 'Filtro';
        $args['subtitle'] = '';

        the_widget('alt_filtro', $args);
    }
    ?>


</div>

<div class="row">
    <?php get_template_part('veiculos/loop/component', 'orderby', ['paginacao' => $arrVeiculos['paginacao']]); ?>
</div>

<div class="row">

    <div class="lista_veiculos_estoque">


        <?php if (empty($arrVeiculos['veiculos'])): ?>
            <?php get_template_part('veiculos/archive', 'veiculos-nao-encontrados'); ?>
        <?php else: ?>

            <?php foreach ($arrVeiculos['veiculos'] as $veiculos):
                global $veiculo_wp;
                $veiculo_wp = $veiculos;
                ?>

                <?php get_template_part('veiculos/archive', 'box-veiculo', array('data' => $veiculos['objeto'])); ?>


            <?php endforeach; ?>


            <?php if ($arrVeiculos['paginacao']['total'] > 1): ?>

                <div class="row">

                    <div class="col-md-12">

                        <div class="pagination">
                            <ul>
                                <?php foreach (paginate_links($arrVeiculos['paginacao']) as $index => $link): ?>

                                    <?php
                                    $current = false;
                                    if ($index + 1 == $arrVeiculos['paginacao']['current']) {
                                        $current = true;
                                    }
                                    ?>
                                    <li class="page-item <?= $current ? 'current' : 'outher' ?>">
                                        <?= $link ?>

                                    </li>
                                <?php endforeach; ?>
                            </ul>
                        </div>

                    </div>
                </div>

            <?php endif; ?>


        <?php endif; ?>


    </div>


</div>

