<?php
global $post;
?>
<div <?php post_class(['modelo1'], get_the_ID()); ?> id="product-<?php the_ID(); ?> exibir_veiculo">
    <section class="listing-detail">

        <div class="container">

            <?php
            if (is_active_sidebar('sidebar_sessao_4')) {
                dynamic_sidebar('sidebar_sessao_4');
            }
            ?>
            <div class="row">
                <div class="listing_detail_head">
                    <div class="col-md-12">
                        <h1 class="title_veiculo" style="font-size: 28px;">
                            <?= get_titulo_produto($post->ID, true) ?>
                            <span class="preco_veiculo">
                                <?= get_preco_veiculo($post->ID, true); ?>
                            </span>
                        </h1>
                    </div>


                </div>
            </div>
            <div class="row">
                <div class="col-md-7">
                    <!--EXIBIR IMAGENS-->


                    <?php get_template_part('veiculos/loop/product', 'image', ['modelo' => 'modelo1']); ?>


                    <div class="sidebar1">
                        <?php
                        if (is_active_sidebar('sidebar_sessao_1')) {
                            dynamic_sidebar('sidebar_sessao_1');
                        }
                        ?>
                    </div>

                </div>
                <div class="col-md-2 detalhes_do_veiculo">


                    <div class="veiculo__info">
                        <?php $arrItens = getCaracteristasSessionDetalhes(); ?>


                        <div class="box__info">


                            <?php if ($arrItens === false || in_array('alt_marca', $arrItens)) : ?>
                                <div class="info__item" style="padding-top: 0px;">
                                    <div class="icone">
                                        <i class="far fa-star"></i>
                                    </div>
                                    <div class="info">
                                        <div class="title">Marca</div>
                                        <div class="dados"><?= alt_get_marca_modelo_tipo($post->ID, 'marca'); ?></div>
                                    </div>
                                </div>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_modelo', $arrItens)) : ?>
                                <div class="info__item">
                                    <div class="icone">
                                        <i class="fa-lg fas fa-car"></i>
                                    </div>
                                    <div class="info">
                                        <div class="title">Modelo</div>
                                        <div class="dados"><?= alt_get_marca_modelo_tipo($post->ID, 'modelo'); ?></div>
                                    </div>
                                </div>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_ano_mod', $arrItens)) : ?>
                                <div class="info__item">
                                    <div class="icone"><i class="fa-lg far fa-calendar-alt"></i></div>
                                    <div class="info">
                                        <div class="title">Ano</div>
                                        <div class="dados"><?= alt_get_caracteristicas($post->ID, 'alt_ano_mod'); ?></div>
                                    </div>
                                </div>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_cambio', $arrItens)) : ?>
                                <div class="info__item">
                                    <div class="icone">
                                        <i class="fa fa-cogs" aria-hidden="true"></i>
                                    </div>
                                    <div class="info">
                                        <div class="title">Câmbio</div>
                                        <div class="dados"><?= alt_get_caracteristicas($post->ID, 'alt_cambio'); ?></div>
                                    </div>
                                </div>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_kilometragem', $arrItens)) : ?>
                                <div class="info__item">
                                    <div class="icone"><i class="fas fa-tachometer-alt"></i></div>
                                    <div class="info">
                                        <div class="title">KM</div>
                                        <div class="dados">


                                            <?php
                                            $km = alt_get_caracteristicas($post->ID, 'alt_kilometragem');
                                            echo $km;

                                            ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_cor', $arrItens)) : ?>
                                <div class="info__item">
                                    <div class="icone"><i class="fas fa-brush"></i></div>
                                    <div class="info">
                                        <div class="title">Cor</div>
                                        <div class="dados">
                                            <?= alt_get_caracteristicas($post->ID, 'alt_cor'); ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_combustivel', $arrItens)) : ?>
                                <div class="info__item">
                                    <div class="icone"><i class="fas fa-gas-pump"></i></div>
                                    <div class="info">
                                        <div class="title">Combustível</div>
                                        <div class="dados">
                                            <?= alt_get_caracteristicas($post->ID, 'alt_combustivel'); ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_placa', $arrItens)) : ?>
                                <div class="info__item">
                                    <div class="icone"><i class="fas fa-list"></i></div>
                                    <div class="info">
                                        <div class="title">Placa</div>
                                        <div class="dados">
                                            <?= alt_get_caracteristicas($post->ID, 'alt_placa'); ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_portas', $arrItens)) : ?>
                                <div class="info__item">
                                    <div class="icone"><span class="icon-portas"></span></div>
                                    <div class="info">
                                        <div class="title">Portas</div>
                                        <div class="dados">
                                            <?= alt_get_caracteristicas($post->ID, 'alt_portas'); ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>

                </div>
                <aside class="col-md-3">


                    <?php
                    if (is_active_sidebar('sidebar_formulario_contato')) {
                        dynamic_sidebar('sidebar_formulario_contato');
                    } else {
                        the_widget('alt_formulario_lead');
                    }
                    ?>


                </aside>

            </div>
            <div class="divider_veiculo"></div>

            <div class="row">

                <div class="col-md-12">
                    <h5>Opcionais e Acessórios</h5>
                    <?php

                    $dados = alt_get_caracteristicas($post->ID, 'alt_acessorios');


                    if (is_array($dados)) : ?>

                        <?php

                        $columns = 3;
                        $array = array_chunk($dados, ceil(count($dados) / $columns), true);


                        ?>

                        <?php foreach ($array as $data) : ?>
                            <div class="col-md-4" style="padding-left: 0px;">
                                <?php foreach ($data as $info) : ?>
                                    <div style="padding: 5px 5px 5px 0px;font-size: 18px;">
                                        <i class="fas fa-arrow-circle-right"></i>
                                        <?= $info['descricao']; ?>
                                    </div>


                                <?php endforeach; ?>
                            </div>
                        <?php endforeach; ?>


                    <?php endif; ?>
                </div>
            </div>
            <div class="divider"></div>

            <div class="row">
                <div class="col-md-12">
                    <h5>Observações</h5>

                    <?= the_content() ?>

                </div>

            </div>
            <div class="divider"></div>


            <?php if (is_active_sidebar('sidebar_sessao_2')) : ?>
                <div class="row">
                    <?php dynamic_sidebar('sidebar_sessao_2'); ?>
                </div>
            <?php endif ?>






            <?php if (get_habilita_financiamentos()) : ?>

                <div class="row">
                    <div class="col-md-12">
                        <?php
                        $valor = get_preco_veiculo($post->ID);
                        do_shortcode("[alt_financiamento valor='{$valor}']")
                        ?>
                    </div>
                </div>
            <?php endif; ?>

            <div class="row">

                <div class="similar_cars">
                    <?= woocommerce_veiculos_similares($post, 3) ?>
                </div>

            </div>
            <div class="row">
                <div class="col-md-12">
                    <?php
                    if (is_active_sidebar('sidebar_sessao_3')) {
                        dynamic_sidebar('sidebar_sessao_3');
                    }
                    ?>
                </div>
            </div>

        </div>

    </section>

</div>